Name:           tucnak2
Version:        2.21
Release:        1%{?dist}
Summary:        VHF contest logging program

Group:          Applications/Communications
License:        GPLv2+
URL:            http://tucnak.nagano.cz/wiki/Main_Page
Source0:        http://tucnak.nagano.cz/%{name}-%{version}.tar.gz
Patch0:         tucnak2-2.21-soundwrapper.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, glib2-devel, libpng-devel, libsndfile-devel
BuildRequires:  gpm-devel, alsa-lib-devel, hamlib-devel, libusb-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libftdi-devel
#Requires:       

%description
Tucnak2 is VHF/UHF/SHF log for hamradio contests. It supports multi
bands, free input, networking, voice and CW keyer, WWL database and
much more.

%prep
%setup -q
%patch0 -p1 -b .soundwrapper
sed -i -e "s/Encoding=UTF-8//g" share/applications/%{name}.desktop

#all files must be UTF-8
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        touch -r "${1}_" "$1"
        mv -f "${1}_" "$1"

}
recode TODO iso-8859-15

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

chmod +x $RPM_BUILD_ROOT%{_datadir}/tucnak2/tac2tuc.pl

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_datadir}/tucnak2/doc

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc doc/NAVOD.pdf doc/NAVOD.sxw
%doc data/*.html data/*.png
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/tucnak2


%changelog
* Sun Dec 07 2008 Lucian Langa <cooly@gnome.eu.org> - 2.21-1
- rename too generic file soundwrapper 
- new upstream 2.21

* Wed Dec 03 2008 Lucian Langa <cooly@gnome.eu.org> - 2.19-1
- drop patch0 and use upstream desktop file
- new upstream 2.19

* Fri Nov 21 2008 Lucian Langa <cooly@gnome.eu.org> - 2.14-2
- update BR
- preserve timestamps

* Mon Sep 26 2008 Lucian Langa <cooly@gnome.eu.org> - 2.14-1
- new upstream 2.14
- update build requires

* Mon Sep 01 2008 Lucian Langa <cooly@gnome.eu.org> - 2.13-2
- new upstream 2.13

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 2.07-1
- Initial build
